Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network194.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
194.0.0.0
Broadcast address
194.255.255.255
First usable
194.0.0.1
Last usable
194.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex C2000000 · Integer 3254779904 to 3271557119
Reverse DNS zone
194.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000010..00000000.00000000.00000000194.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11000010..00000000.00000000.00000000194.0.0.0
Broadcast11000010..11111111.11111111.11111111194.255.255.255
Split into smaller subnets/15

194.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1194.0.0.0/15194.0.0.1 to 194.1.255.254194.1.255.255131,070
2194.2.0.0/15194.2.0.1 to 194.3.255.254194.3.255.255131,070
3194.4.0.0/15194.4.0.1 to 194.5.255.254194.5.255.255131,070
4194.6.0.0/15194.6.0.1 to 194.7.255.254194.7.255.255131,070
5194.8.0.0/15194.8.0.1 to 194.9.255.254194.9.255.255131,070
6194.10.0.0/15194.10.0.1 to 194.11.255.254194.11.255.255131,070
7194.12.0.0/15194.12.0.1 to 194.13.255.254194.13.255.255131,070
8194.14.0.0/15194.14.0.1 to 194.15.255.254194.15.255.255131,070
9194.16.0.0/15194.16.0.1 to 194.17.255.254194.17.255.255131,070
10194.18.0.0/15194.18.0.1 to 194.19.255.254194.19.255.255131,070
11194.20.0.0/15194.20.0.1 to 194.21.255.254194.21.255.255131,070
12194.22.0.0/15194.22.0.1 to 194.23.255.254194.23.255.255131,070
13194.24.0.0/15194.24.0.1 to 194.25.255.254194.25.255.255131,070
14194.26.0.0/15194.26.0.1 to 194.27.255.254194.27.255.255131,070
15194.28.0.0/15194.28.0.1 to 194.29.255.254194.29.255.255131,070
16194.30.0.0/15194.30.0.1 to 194.31.255.254194.31.255.255131,070
17194.32.0.0/15194.32.0.1 to 194.33.255.254194.33.255.255131,070
18194.34.0.0/15194.34.0.1 to 194.35.255.254194.35.255.255131,070
19194.36.0.0/15194.36.0.1 to 194.37.255.254194.37.255.255131,070
20194.38.0.0/15194.38.0.1 to 194.39.255.254194.39.255.255131,070
21194.40.0.0/15194.40.0.1 to 194.41.255.254194.41.255.255131,070
22194.42.0.0/15194.42.0.1 to 194.43.255.254194.43.255.255131,070
23194.44.0.0/15194.44.0.1 to 194.45.255.254194.45.255.255131,070
24194.46.0.0/15194.46.0.1 to 194.47.255.254194.47.255.255131,070
25194.48.0.0/15194.48.0.1 to 194.49.255.254194.49.255.255131,070
26194.50.0.0/15194.50.0.1 to 194.51.255.254194.51.255.255131,070
27194.52.0.0/15194.52.0.1 to 194.53.255.254194.53.255.255131,070
28194.54.0.0/15194.54.0.1 to 194.55.255.254194.55.255.255131,070
29194.56.0.0/15194.56.0.1 to 194.57.255.254194.57.255.255131,070
30194.58.0.0/15194.58.0.1 to 194.59.255.254194.59.255.255131,070
31194.60.0.0/15194.60.0.1 to 194.61.255.254194.61.255.255131,070
32194.62.0.0/15194.62.0.1 to 194.63.255.254194.63.255.255131,070
33194.64.0.0/15194.64.0.1 to 194.65.255.254194.65.255.255131,070
34194.66.0.0/15194.66.0.1 to 194.67.255.254194.67.255.255131,070
35194.68.0.0/15194.68.0.1 to 194.69.255.254194.69.255.255131,070
36194.70.0.0/15194.70.0.1 to 194.71.255.254194.71.255.255131,070
37194.72.0.0/15194.72.0.1 to 194.73.255.254194.73.255.255131,070
38194.74.0.0/15194.74.0.1 to 194.75.255.254194.75.255.255131,070
39194.76.0.0/15194.76.0.1 to 194.77.255.254194.77.255.255131,070
40194.78.0.0/15194.78.0.1 to 194.79.255.254194.79.255.255131,070
41194.80.0.0/15194.80.0.1 to 194.81.255.254194.81.255.255131,070
42194.82.0.0/15194.82.0.1 to 194.83.255.254194.83.255.255131,070
43194.84.0.0/15194.84.0.1 to 194.85.255.254194.85.255.255131,070
44194.86.0.0/15194.86.0.1 to 194.87.255.254194.87.255.255131,070
45194.88.0.0/15194.88.0.1 to 194.89.255.254194.89.255.255131,070
46194.90.0.0/15194.90.0.1 to 194.91.255.254194.91.255.255131,070
47194.92.0.0/15194.92.0.1 to 194.93.255.254194.93.255.255131,070
48194.94.0.0/15194.94.0.1 to 194.95.255.254194.95.255.255131,070
49194.96.0.0/15194.96.0.1 to 194.97.255.254194.97.255.255131,070
50194.98.0.0/15194.98.0.1 to 194.99.255.254194.99.255.255131,070
51194.100.0.0/15194.100.0.1 to 194.101.255.254194.101.255.255131,070
52194.102.0.0/15194.102.0.1 to 194.103.255.254194.103.255.255131,070
53194.104.0.0/15194.104.0.1 to 194.105.255.254194.105.255.255131,070
54194.106.0.0/15194.106.0.1 to 194.107.255.254194.107.255.255131,070
55194.108.0.0/15194.108.0.1 to 194.109.255.254194.109.255.255131,070
56194.110.0.0/15194.110.0.1 to 194.111.255.254194.111.255.255131,070
57194.112.0.0/15194.112.0.1 to 194.113.255.254194.113.255.255131,070
58194.114.0.0/15194.114.0.1 to 194.115.255.254194.115.255.255131,070
59194.116.0.0/15194.116.0.1 to 194.117.255.254194.117.255.255131,070
60194.118.0.0/15194.118.0.1 to 194.119.255.254194.119.255.255131,070
61194.120.0.0/15194.120.0.1 to 194.121.255.254194.121.255.255131,070
62194.122.0.0/15194.122.0.1 to 194.123.255.254194.123.255.255131,070
63194.124.0.0/15194.124.0.1 to 194.125.255.254194.125.255.255131,070
64194.126.0.0/15194.126.0.1 to 194.127.255.254194.127.255.255131,070
65194.128.0.0/15194.128.0.1 to 194.129.255.254194.129.255.255131,070
66194.130.0.0/15194.130.0.1 to 194.131.255.254194.131.255.255131,070
67194.132.0.0/15194.132.0.1 to 194.133.255.254194.133.255.255131,070
68194.134.0.0/15194.134.0.1 to 194.135.255.254194.135.255.255131,070
69194.136.0.0/15194.136.0.1 to 194.137.255.254194.137.255.255131,070
70194.138.0.0/15194.138.0.1 to 194.139.255.254194.139.255.255131,070
71194.140.0.0/15194.140.0.1 to 194.141.255.254194.141.255.255131,070
72194.142.0.0/15194.142.0.1 to 194.143.255.254194.143.255.255131,070
73194.144.0.0/15194.144.0.1 to 194.145.255.254194.145.255.255131,070
74194.146.0.0/15194.146.0.1 to 194.147.255.254194.147.255.255131,070
75194.148.0.0/15194.148.0.1 to 194.149.255.254194.149.255.255131,070
76194.150.0.0/15194.150.0.1 to 194.151.255.254194.151.255.255131,070
77194.152.0.0/15194.152.0.1 to 194.153.255.254194.153.255.255131,070
78194.154.0.0/15194.154.0.1 to 194.155.255.254194.155.255.255131,070
79194.156.0.0/15194.156.0.1 to 194.157.255.254194.157.255.255131,070
80194.158.0.0/15194.158.0.1 to 194.159.255.254194.159.255.255131,070
81194.160.0.0/15194.160.0.1 to 194.161.255.254194.161.255.255131,070
82194.162.0.0/15194.162.0.1 to 194.163.255.254194.163.255.255131,070
83194.164.0.0/15194.164.0.1 to 194.165.255.254194.165.255.255131,070
84194.166.0.0/15194.166.0.1 to 194.167.255.254194.167.255.255131,070
85194.168.0.0/15194.168.0.1 to 194.169.255.254194.169.255.255131,070
86194.170.0.0/15194.170.0.1 to 194.171.255.254194.171.255.255131,070
87194.172.0.0/15194.172.0.1 to 194.173.255.254194.173.255.255131,070
88194.174.0.0/15194.174.0.1 to 194.175.255.254194.175.255.255131,070
89194.176.0.0/15194.176.0.1 to 194.177.255.254194.177.255.255131,070
90194.178.0.0/15194.178.0.1 to 194.179.255.254194.179.255.255131,070
91194.180.0.0/15194.180.0.1 to 194.181.255.254194.181.255.255131,070
92194.182.0.0/15194.182.0.1 to 194.183.255.254194.183.255.255131,070
93194.184.0.0/15194.184.0.1 to 194.185.255.254194.185.255.255131,070
94194.186.0.0/15194.186.0.1 to 194.187.255.254194.187.255.255131,070
95194.188.0.0/15194.188.0.1 to 194.189.255.254194.189.255.255131,070
96194.190.0.0/15194.190.0.1 to 194.191.255.254194.191.255.255131,070
97194.192.0.0/15194.192.0.1 to 194.193.255.254194.193.255.255131,070
98194.194.0.0/15194.194.0.1 to 194.195.255.254194.195.255.255131,070
99194.196.0.0/15194.196.0.1 to 194.197.255.254194.197.255.255131,070
100194.198.0.0/15194.198.0.1 to 194.199.255.254194.199.255.255131,070
101194.200.0.0/15194.200.0.1 to 194.201.255.254194.201.255.255131,070
102194.202.0.0/15194.202.0.1 to 194.203.255.254194.203.255.255131,070
103194.204.0.0/15194.204.0.1 to 194.205.255.254194.205.255.255131,070
104194.206.0.0/15194.206.0.1 to 194.207.255.254194.207.255.255131,070
105194.208.0.0/15194.208.0.1 to 194.209.255.254194.209.255.255131,070
106194.210.0.0/15194.210.0.1 to 194.211.255.254194.211.255.255131,070
107194.212.0.0/15194.212.0.1 to 194.213.255.254194.213.255.255131,070
108194.214.0.0/15194.214.0.1 to 194.215.255.254194.215.255.255131,070
109194.216.0.0/15194.216.0.1 to 194.217.255.254194.217.255.255131,070
110194.218.0.0/15194.218.0.1 to 194.219.255.254194.219.255.255131,070
111194.220.0.0/15194.220.0.1 to 194.221.255.254194.221.255.255131,070
112194.222.0.0/15194.222.0.1 to 194.223.255.254194.223.255.255131,070
113194.224.0.0/15194.224.0.1 to 194.225.255.254194.225.255.255131,070
114194.226.0.0/15194.226.0.1 to 194.227.255.254194.227.255.255131,070
115194.228.0.0/15194.228.0.1 to 194.229.255.254194.229.255.255131,070
116194.230.0.0/15194.230.0.1 to 194.231.255.254194.231.255.255131,070
117194.232.0.0/15194.232.0.1 to 194.233.255.254194.233.255.255131,070
118194.234.0.0/15194.234.0.1 to 194.235.255.254194.235.255.255131,070
119194.236.0.0/15194.236.0.1 to 194.237.255.254194.237.255.255131,070
120194.238.0.0/15194.238.0.1 to 194.239.255.254194.239.255.255131,070
121194.240.0.0/15194.240.0.1 to 194.241.255.254194.241.255.255131,070
122194.242.0.0/15194.242.0.1 to 194.243.255.254194.243.255.255131,070
123194.244.0.0/15194.244.0.1 to 194.245.255.254194.245.255.255131,070
124194.246.0.0/15194.246.0.1 to 194.247.255.254194.247.255.255131,070
125194.248.0.0/15194.248.0.1 to 194.249.255.254194.249.255.255131,070
126194.250.0.0/15194.250.0.1 to 194.251.255.254194.251.255.255131,070
127194.252.0.0/15194.252.0.1 to 194.253.255.254194.253.255.255131,070
128194.254.0.0/15194.254.0.1 to 194.255.255.254194.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses